# This program is used to remove the RAID CIM classes when uninstalling the RAID rpm.

# Load the Director install variables
if [ -f /etc/TWGagent/TWGagent ]; then
   . /etc/TWGagent/TWGagent
elif [ -f /etc/TWGserver/TWGserver ]; then
   . /etc/TWGserver/TWGserver
else
   echo "ITD is not installed, exiting normally."
   # if they don't exist, ITD has already been uninstalled
   exit 0
fi

# Is the CIMOM installed?
if [ ! -d $TWG_ROOTDIR/CIMOM ]; then
   echo "Director CIMOM is not install, exiting normally."
   exit 0
fi

# Need libpegcommon.so
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$TWG_ROOTDIR/CIMOM/lib

# ServeRAID.mof
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDOverallStatus
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDController
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_LSIController
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_HostRAIDController
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_RAIDController
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_SCSIChannel
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDBIOS
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDFirmware
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDDriver
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_LSIBIOS
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_LSIDriver
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_LSIFirmware
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_RAIDArray
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_SpannedRAIDArray
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_DiskArray
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_RAIDLogicalDrive
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_RAIDDiskDrive
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_EnclosureSAFTEDevice
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_EnclosureFan
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_EnclosurePowerSupply
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_EnclosureTemperature
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_SCSICDROMDrive
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_SCSIOpticalDrive
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_SCSITapeDrive
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_PhysicalDiskDrive
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_SAFTEChip

# ServeRAIDSNMP.mof
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_SNMPRAIDAgent
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_SNMPRAIDController
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_SNMPPhysicalDevice
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_SNMPLogicalDevice

# ServeRAIDAssociations.mof
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_RAIDRealizesPhysicalDisk
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_RAIDRealizesSAFTEChip
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_RAIDDriveInDiskArray
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_AssociatedRAIDArray
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_LogicalDriveInArray
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ArrayInSpannedArray
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_AssociatedDriver
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_AssociatedFirmware
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_AssociatedBIOS
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_AssociatedSCSIChannel
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_SCSIInterface
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_AssociatedEnclosureFan
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_AssociatedEnclosurePowerSupply
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_AssociatedEnclosureTemperature

# ServeRAIDEvent.mof
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDNoControllers
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDControllerFail
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDDeadBattery
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDDeadBatteryCache
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDPollingFail
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDConfigFail
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDControllerAdded
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDControllerReplaced
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDControllerFailover
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDControllerMismatchedVersions
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDControllerBatteryOvertemp
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDControllerBadStripes
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDControllerBatteryTempNormal
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDLogicalDriveCritical
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDLogicalDriveCriticalPeriodic
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDLogicalDriveBlocked
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDLogicalDriveOffLine
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDRebuildDetected
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDRebuildComplete
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDRebuildFail
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDSyncDetected
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDSyncComplete
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDSyncFail
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDMigrationDetected
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDMigrationComplete
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDMigrationFail
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDCompressionDetected
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDCompressionComplete
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDCompressionFail
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDDecompressionDetected
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDDecompressionComplete
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDDecompressionFail
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDFlashCopyDetected
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDFlashCopyComplete
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDFlashCopyFail
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDArrayRebuildDetected
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDArrayRebuildComplete
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDArrayRebuildFail
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDArraySyncDetected
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDArraySyncComplete
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDArraySyncFail
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDArrayFlashCopyDetected
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDArrayFlashCopyComplete
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDArrayFlashCopyFail
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDLogicalDriveUnblocked
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDCompactionDetected
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDCompactionComplete
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDCompactionFail
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDExpansionDetected
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDExpansionComplete
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDExpansionFail
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDCopybackDetected
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDCopybackComplete
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDCopybackFail
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDInitDetected
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDInitComplete
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDInitFail
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDLogicalDriveOK
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDLogicalDriveAdded
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDLogicalDriveRemoved
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDDefunctDrive
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDPFADrive
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDDefunctReplaced
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDDefunctDriveFRU
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDPFADriveFRU
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDUnsupportedDrive
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDDriveAdded
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDDriveRemoved
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDDriveClearDetected
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDDriveClearComplete
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDDriveClearFail
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDDriveSyncDetected
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDDriveSyncComplete
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDDriveSyncFail
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDDriveVerifyDetected
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDDriveVerifyComplete
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDDriveVerifyFail
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDEnclosureOK
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDEnclosureFail
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDEnclosureFanOk
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDEnclosureFanFail
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDEnclosureFanInstalled
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDEnclosureFanRemoved
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDEnclosureTempOk
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDEnclosureTempFail
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDEnclosurePowerSupplyOk
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDEnclosurePowerSupplyFail
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDEnclosurePowerSupplyInstalled
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDEnclosurePowerSupplyRemoved
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_class -n root/ibmsd -t IBMPSG_ServeRAIDTestEvent

# ServeRAIDEventRegistration.mof
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_instance -n root/PG_Interop -t PG_ProviderCapabilities.ProviderName=\"IBMSG_SunWbemProvider.IBMPSG_RAIDEventProvider#IBMPSG_StorageRAIDEvent\",ProviderModuleName=\"Director\|Agent\|SunWbemProvider\",CapabilityID=\"1\"
$TWG_ROOTDIR/CIMOM/bin/cimcli -o delete_instance -n root/PG_Interop -t PG_ProviderCapabilities.ProviderName=\"IBMSG_SunWbemProvider.IBMPSG_RAIDEventProvider#IBMPSG_StorageRAIDHealthEvent\",ProviderModuleName=\"Director\|Agent\|SunWbemProvider\",CapabilityID=\"1\"
