#!/bin/bash
cd ../../classes

# Set the correct glibc for IBM's JDK; do not use floating stacks.
# This is done by setting the assumed kernel to 2.2.5.
# Required for Red Hat 7.x, 8.x, 9.x, and EL 3.0 on i386.
# Must not be done on ia64 or Opteron 64.

if [ `uname -s` = "Linux" ] && [ `uname -m` != "ia64" ] && [ `uname -m` != "x86_64" ] && ( uname -r | grep -Eq "2\\.[567]" || uname -r | grep -Eq "2\\.4.*-4\\..*EL" )
then
  export LD_ASSUME_KERNEL=2.2.5
fi

export DIRECTOR_HOME=`pwd | sed 's/.*/dirname &/' | ${SHELL}`
export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${DIRECTOR_HOME}/jni:${DIRECTOR_HOME}/jre/bin/classic:${PATH}
../jre/bin/java -Djava.compiler=NONE -Djava.library.path=${DIRECTOR_HOME}/jni:${DIRECTOR_HOME}/jre/bin/classic:${PATH} -DDIRECTOR_HOME=${DIRECTOR_HOME} \
 	-cp pegsun.jar:cimfac.jar:cimutl.jar:cimcmn.jar:cimprv.jar:pegclient.jar:../lib/xercesImpl.jar:../lib/xmlParserAPIs.jar:../lib/xalan.jar:../lib/xml-apis.jar:sunsample.jar com/ibm/sysmgt/cim/pegsun/Dispatcher "child"
